> This page is for Platform, version V4 Experimental.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 Experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Legacy: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# List user memberships

GET https://api.frame.io/v4/accounts/{account_id}/users/{user_id}/memberships

List the groups, workspaces, and projects a user belongs to on an account.
Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/v4-experimental/api-reference/users/account-user-roles-memberships

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `user_id` (string, required)

### Query parameters

- `type` (string, optional) — Filter memberships by type
- `sort` (enum, optional) — Sort memberships by query params
  - Allowed values: `name_asc`, `name_desc`, `type_asc`, `type_desc`, `role_asc`, `role_desc`
- `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
- `page_size` (integer, optional, default: 50)
- `include_total_count` (boolean, optional, default: false)

## Response

### 200

OK

- `data` (list of AccountUserMembership, required) — Account User Memberships
- `links` (Links, required) — Links to paginated data
- `total_count` (integer, optional, nullable) — Total count

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### AccountUserMembership

One of an account user's group, workspace, or project memberships

- `type`: `group` (GroupMembership)
  - `id` (string, required)
  - `name` (string, required)
- `type`: `project` (ProjectMembership)
  - `id` (string, required)
  - `name` (string, required)
  - `role` (enum, required)
    - Allowed values: `full_access`, `editor`, `edit_only`, `commenter`, `viewer`
- `type`: `workspace` (WorkspaceMembership)
  - `id` (string, required)
  - `name` (string, required)
  - `role` (enum, required)
    - Allowed values: `full_access`, `editor`, `edit_only`, `commenter`, `viewer`, `admin`, `owner`, `workspace_admin`

### Links

Links to paginated data

- `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "group",
      "id": "20c6b1ad-5309-4e4a-8e8b-144ef6120069",
      "name": "Editors"
    },
    {
      "type": "workspace",
      "id": "0fefb9f1-6a2f-485d-9a1e-6e80cbfa7924",
      "name": "Marketing",
      "role": "editor"
    },
    {
      "type": "project",
      "id": "c255f387-f36a-4bff-9b1f-ee91e97877c9",
      "name": "Q3 Launch",
      "role": "full_access"
    }
  ],
  "links": {
    "next": "/v4/accounts/123/users/123/memberships"
  },
  "total_count": 5
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/66afdb91-1c8f-4e60-ae08-fa4bcd0e83e4/users/4d6e596b-3a68-42bd-8618-5bfc32549d0f/memberships")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```